Bug 532276 - Review Request: python-googlevoice - Python language bindings for the Google Voice API
Summary: Review Request: python-googlevoice - Python language bindings for the Google ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rakesh Pandit
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-01 04:38 UTC by Jeffrey C. Ollie
Modified: 2010-06-03 14:59 UTC (History)
5 users (show)

Fixed In Version: python-googlevoice-0.5-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-22 01:45:36 UTC
rpandit: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2009-11-01 04:38:48 UTC
Spec URL: http://jcollie.fedorapeople.org/python-googlevoice.spec
SRPM URL: http://jcollie.fedorapeople.org/python-googlevoice-0.4-1.fc12.src.rpm
Description:

This project aims to bring the power of the Google Voice API to the
Python language in a simple, easy-to-use manner. Currently it allows
you to place calls, send sms, download voicemails/recorded messages,
and search the various folders of your Google Voice Accounts. You can
use the Python API or command line script to schedule calls, check for
new received calls/sms, or even sync your recorded
voicemails/calls. Works for Python 2 and Python 3

Comment 1 Thomas Spura 2009-11-01 12:26:28 UTC
Just a few comments:

- Can you remove the first unneed comment line?
  in %build the comment is also unneeded and CFLAGS="$RPM_OPT_FLAGS" can be removed

- When installed, there are 2 directories owed by googlevoice:
100K	/usr/lib/python2.6/site-packages/googlevoice/
776K	/usr/share/doc/python-googlevoice-0.4

Could you split the doc into a subpackage, because if you just want to install the python files and no examples/documentation, you can save 88.6% with 2 extra packages.
Possibly, that's why there are 2 sources, the normal tar.gz and the *-extras.zip.
Upstream also wants to save space ;)

Comment 2 Jeffrey C. Ollie 2009-11-01 19:50:08 UTC
Spec URL: http://jcollie.fedorapeople.org/python-googlevoice.spec
SRPM URL: http://jcollie.fedorapeople.org/python-googlevoice-0.4-2.fc12.src.rpm

I've removed the unneeded comments and the CFLAGS settings.  However, I don't think that it really makes sense to split a package that's < 1MB installed and only 71KB uninstalled, even if it's mostly docs.

Comment 3 Rakesh Pandit 2010-01-08 10:42:55 UTC
[x] - Ok, [-] Needs input, [na] - Not Applicable
[-] Update to latest

That will include rename docs to doc and including:
   /usr/bin/asterisk-gvoice-setup
   /usr/bin/gvi

in %files section

[x] name fine
[x] spec file name fine
[x] egg files are getting generated
[x] python-setuptools-devel included
[x] rpmlint is happy
[x] docs and examples are included
[-] license fine, but neither source nor license copy present. May you tell upstream to mention about it some place in source tarball also and if possible in source files. BSD is okay.
[x] byte compiled files included
[x] source ok
835f3631192fa586341ac3da8b847812d5fd4cf1  pygooglevoice-0.4.tar.gz
4a1f19313812d4cc078e39ac9f40e9b4ab8ed432  pygooglevoice-0.4-extras.zip
sha1sum matches
[x] spec fields fine
[x] %files section and permissions fine
[x] American english and spec legible
[x] File names in package valid UTF-8
[x] permissions file

Summary:

May you inform upstream about license bits and update the package to latest.
Everything else seems to be fine.

Thanks,

Comment 4 Rakesh Pandit 2010-05-11 14:05:07 UTC
In case there is no response in a week, I will close this ticket as deferred.

Regards,
Rakesh Pandit

Comment 5 Jeffrey C. Ollie 2010-05-11 14:23:50 UTC
Spec URL: http://jcollie.fedorapeople.org/python-googlevoice.spec
SRPM URL: http://jcollie.fedorapeople.org/python-googlevoice-0.5-1.fc12.src.rpm

Sorry about taking so long with this, it just slipped my mind...

Comment 6 R P Herrold 2010-05-11 16:47:04 UTC
looks as though the URL for at least part has rotted:

[herrold@centos-5 python-googlevoice]$ wget http://pygooglevoice.googlecode.com/files/pygooglevoice-0.5.extras.zip
--2010-05-11 12:45:55--  http://pygooglevoice.googlecode.com/files/pygooglevoice-0.5.extras.zip
Resolving pygooglevoice.googlecode.com... 74.125.115.82
Connecting to pygooglevoice.googlecode.com|74.125.115.82|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2010-05-11 12:45:55 ERROR 404: Not Found.

looking:

The requested URL /files/ was not found on this server.

Comment 7 Jeffrey C. Ollie 2010-05-11 18:30:00 UTC
Hmm, I'm not sure where you came up with that URL, but the last part should be "pygooglevoice-0.5-extras.zip" not "pygooglevoice-0.5.extras.zip".

Comment 8 R P Herrold 2010-05-11 18:41:51 UTC
/me: growl -- mutter, mutter -- lovely -- just ANOTHER naming scheme, burying a version mid file name

Thank you

-- Russ herrold

Comment 9 Rakesh Pandit 2010-05-12 06:19:59 UTC
Every issue has been addressed.

So this package is APPROVED.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2181975

Thanks,

Comment 10 Jeffrey C. Ollie 2010-05-12 11:47:09 UTC
New Package CVS Request
=======================
Package Name: python-googlevoice
Short Description: Python language bindings for the Google Voice API
Owners: jcollie
Branches: devel F-13 F-12 EL-6 EL-5
InitialCC: jcollie

Comment 11 Kevin Fenzi 2010-05-12 17:13:33 UTC
CVS done (by process-cvs-requests.py).

Comment 12 Fedora Update System 2010-05-13 15:18:44 UTC
python-googlevoice-0.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-googlevoice-0.5-1.fc13

Comment 13 Fedora Update System 2010-05-13 18:38:09 UTC
python-googlevoice-0.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-googlevoice-0.5-1.fc12

Comment 14 Fedora Update System 2010-05-13 18:52:03 UTC
python-googlevoice-0.5-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-googlevoice-0.5-1.el5

Comment 15 Fedora Update System 2010-05-14 01:05:27 UTC
python-googlevoice-0.5-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-googlevoice'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-googlevoice-0.5-1.el5

Comment 16 Fedora Update System 2010-05-15 20:20:10 UTC
python-googlevoice-0.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-googlevoice'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-googlevoice-0.5-1.fc13

Comment 17 Fedora Update System 2010-05-15 20:41:32 UTC
python-googlevoice-0.5-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-googlevoice'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-googlevoice-0.5-1.fc12

Comment 18 Fedora Update System 2010-05-22 01:45:29 UTC
python-googlevoice-0.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-05-22 01:48:44 UTC
python-googlevoice-0.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-06-03 14:59:01 UTC
python-googlevoice-0.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.